Update Network Ip Subnet Mapping
Create or update the IP subnet mapping for a network mapping.
The ID of a pairing between this Site Recovery Manager server and remote one.
ID of a Site Recovery Manager server.
The ID of the mapping.
A spec describing the IP subnet mappings settings.
{
"name": "string",
"rules": [
{
"name": "string",
"remote_subnet": "string",
"local_subnet": "string",
"remote_ip_settings": {
"ip_v4": {
"default_gateway": "string",
"alternate_gateway": "string"
},
"dns": {
"type": "string",
"preferred_server": "string",
"alternate_server": "string",
"suffixes": [
{}
]
},
"wins": {
"primary_server": "string",
"alternate_server": "string"
}
}
}
]
}
Name of the IP mapping.
A rule describing mapping between protection side IP parameters to recovery side ones for a single IP subnet. Currently IPv6 customization is not supported.
IP subnet mapping is created or updated.
Bad request - the server cannot understand the request due to invalid syntax or invalid request body content
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
Unauthorized - the client must authenticate itself to get the requested response
Forbidden - not sufficient access rights to fulfill the request
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
Not Found - server cannot find the requested in URL resource
Internal server error - unexpected condition prevents fulfilling the request
"ResponseError Object"
The code of the error.
The message of the error.
The ID of the operation.
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/pairings/{pairing_id}/srms/{srm_id}/inventory-mappings/networks/{mapping_id}/ip-subnet-mapping